Package org.apache.batchee.tools.maven

## Class DocumentationMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.batchee.tools.maven.DocumentationMojo

- All Implemented Interfaces:
    `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

      @Mojo(name="doc",
            defaultPhase=PROCESS_CLASSES)
      public class DocumentationMojo
      extends org.apache.maven.plugin.AbstractMojo

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected File` | `classes` |
    `protected String` | `formatter` |
    `protected File` | `output` |

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DocumentationMojo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute()` |

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### classes

          @Parameter(property="batchee.classes",
                     defaultValue="${project.build.outputDirectory}")
          protected File classes

    - #### output

          @Parameter(property="batchee.output",
                     defaultValue="${project.build.directory}/generated-docs/${project.artifactId}-jbatch.adoc")
          protected File output

    - #### formatter

          @Parameter(property="batchee.formatter",
                     defaultValue="adoc")
          protected String formatter

  - ### Constructor Detail

    - #### DocumentationMojo

          public DocumentationMojo()

  - ### Method Detail

    - #### execute

          public void execute()
                       throws org.apache.maven.plugin.MojoExecutionException,
                              org.apache.maven.plugin.MojoFailureException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`
        `org.apache.maven.plugin.MojoFailureException`